WireGuard Archive on lore.kernel.org
 help / Atom feed
* Cannot compile Noise.c on Kernel 5.0?
@ 2019-01-13 22:26 Sam Cater
  2019-01-16 23:49 ` Jordan Glover
  0 siblings, 1 reply; 2+ messages in thread
From: Sam Cater @ 2019-01-13 22:26 UTC (permalink / raw)
  To: wireguard

Hi Wireguard Mailing List,

Probably going to be showing a lot of ignorance here!

Wireguard has run fine on this system in the past, but today I tried to
build 20181218 on self-built 5.0 kernel (which in and of itself seems
stable and working fine). The compile fails on src/noise.o with the
issue linked below on line 453.

If I switch back to the stock 4.19 kernel provided by Fedora then
everything compiles fine. It's also worth mentioning that the same issue
appears to happen when I install the COPR packages for Fedora.

Appreciate I'm a non-standard kernel but just in case it is a Linux 5
incompatibility rather than "I can't build software", I thought I'd post
here in case it was helpful.

Mini paste at: https://pastebin.com/raw/W4LRT5bx


_______________________________________________
WireGuard mailing list
WireGuard@lists.zx2c4.com
https://lists.zx2c4.com/mailman/listinfo/wireguard

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: Cannot compile Noise.c on Kernel 5.0?
  2019-01-13 22:26 Cannot compile Noise.c on Kernel 5.0? Sam Cater
@ 2019-01-16 23:49 ` Jordan Glover
  0 siblings, 0 replies; 2+ messages in thread
From: Jordan Glover @ 2019-01-16 23:49 UTC (permalink / raw)
  To: Sam Cater; +Cc: wireguard

On Wednesday, January 16, 2019 5:37 PM, Sam Cater <sam@samcater.com> wrote:

> Hi Wireguard Mailing List,
>
> Probably going to be showing a lot of ignorance here!
>
> Wireguard has run fine on this system in the past, but today I tried to
> build 20181218 on self-built 5.0 kernel (which in and of itself seems
> stable and working fine). The compile fails on src/noise.o with the
> issue linked below on line 453.
>
> If I switch back to the stock 4.19 kernel provided by Fedora then
> everything compiles fine. It's also worth mentioning that the same issue
> appears to happen when I install the COPR packages for Fedora.
>
> Appreciate I'm a non-standard kernel but just in case it is a Linux 5
> incompatibility rather than "I can't build software", I thought I'd post
> here in case it was helpful.
>
> Mini paste at: https://pastebin.com/raw/W4LRT5bx

For Linux 5.0 you need to use wireguard snapshot from git:
https://git.zx2c4.com/WireGuard/log/

The error you posted was fixed by:
https://git.zx2c4.com/WireGuard/commit/?id=a56a0fee861d104b9bdb22847656fc40a9b13079

Later in build there will be another error fixed by:
https://git.zx2c4.com/WireGuard/commit/?id=eb8316abc24da2e38de65d88c519aa8dfd6227f4

Jordan
_______________________________________________
WireGuard mailing list
WireGuard@lists.zx2c4.com
https://lists.zx2c4.com/mailman/listinfo/wireguard

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, back to index

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-13 22:26 Cannot compile Noise.c on Kernel 5.0? Sam Cater
2019-01-16 23:49 ` Jordan Glover

WireGuard Archive on lore.kernel.org

Archives are clonable:
	git clone --mirror https://lore.kernel.org/wireguard/0 wireguard/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 wireguard wireguard/ https://lore.kernel.org/wireguard \
		wireguard@lists.zx2c4.com zx2c4-wireguard@archiver.kernel.org
	public-inbox-index wireguard


Newsgroup available over NNTP:
	nntp://nntp.lore.kernel.org/com.zx2c4.lists.wireguard


AGPL code for this site: git clone https://public-inbox.org/ public-inbox